Jeffrey Ryan Thalhammer > Perl-Critic-More-1.003 > Perl::Critic::Policy::ErrorHandling::RequireUseOfExceptions

Download:
Perl-Critic-More-1.003.tar.gz

Dependencies

Annotate this POD

Website

CPAN RT

New  2
Open  3
View/Report Bugs
Module Version: 1.003   Source  

NAME ^

Perl::Critic::Policy::ErrorHandling::RequireUseOfExceptions - Use exceptions instead of die, croak, or confess.

AFFILIATION ^

This policy is part of Perl::Critic::More, a bleeding edge supplement to Perl::Critic.

DESCRIPTION ^

If the decision is made that a system should use exceptions, then there should be no use of die, croak, or confess.

AUTHOR ^

Elliot Shank <perl@galumph.org>

COPYRIGHT ^

Copyright (c) 2007-2008 Elliot Shank. All rights reserved.

This program is free software; you can redistribute it and/or modify it under the same terms as Perl itself. The full text of this license can be found in the LICENSE file included with this module.

syntax highlighting: